Bug 566695 - Review Request: goddard-kde-theme - Goddard KDE Theme
Summary: Review Request: goddard-kde-theme - Goddard KDE Theme
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 566290
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-19 13:26 UTC by Jaroslav Reznik
Modified: 2010-02-25 16:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-25 16:20:49 UTC
rdieter: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Jaroslav Reznik 2010-02-19 13:26:15 UTC
Spec URL: http://rezza.hofyland.cz/fedora/packages/goddard-kde-theme/goddard-kde-theme.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/goddard-kde-theme/goddard-kde-theme-12.91.0-1.fc12.src.rpm
Description: This is Goddard KDE Theme Artwork containing KDM and KSplash theme.

Comment 1 Rex Dieter 2010-02-20 10:07:44 UTC
1.  Should add some Provides similar to what constantine-kde-theme has:

%if 0%{?fedora} == 13
Provides:       system-kde-theme = %{version}-%{release}
Provides:       system-kdm-theme = %{version}-%{release}
Provides:       system-ksplash-theme = %{version}-%{release}
%endif

(This can be addressed post review)

2. rpmlint:

goddard-kde-theme.src: W: spelling-error %description -l en_US KSplash -> K Splash, KS plash, KS-plash
goddard-kde-theme.noarch: W: spelling-error %description -l en_US KSplash -> K Splash, KS plash, KS-plash
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/Goddard/1400x1050/logo.png ../../../../../../pixmaps/system-logo-white.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/system-logo-white.png ../../../../../pixmaps/system-logo-white.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1280x768.png ../../../../../backgrounds/goddard/default/wide/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1024x768.png ../../../../../backgrounds/goddard/default/standard/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1152x720.png ../../../../../backgrounds/goddard/default/wide/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1440x900.png ../../../../../backgrounds/goddard/default/wide/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1366x768.png ../../../../../backgrounds/goddard/default/wide/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1280x720.png ../../../../../backgrounds/goddard/default/wide/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/Goddard/1280x800/goddard.png ../../../../../../backgrounds/goddard/default/wide/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-640x480.png ../../../../../backgrounds/goddard/default/standard/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1920x1200.png ../../../../../backgrounds/goddard/default/wide/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1200x900.png ../../../../../backgrounds/goddard/default/standard/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1920x1080.png ../../../../../backgrounds/goddard/default/wide/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1280x960.png ../../../../../backgrounds/goddard/default/standard/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1920x1440.png ../../../../../backgrounds/goddard/default/standard/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/Goddard/1400x1050/goddard.png ../../../../../../backgrounds/goddard/default/standard/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1024x600.png ../../../../../backgrounds/goddard/default/wide/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1152x864.png ../../../../../backgrounds/goddard/default/standard/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1440x1080.png ../../../../../backgrounds/goddard/default/standard/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-800x600.png ../../../../../backgrounds/goddard/default/standard/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1600x1200.png ../../../../../backgrounds/goddard/default/standard/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1680x1050.png ../../../../../backgrounds/goddard/default/wide/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard.png ../../../../../backgrounds/goddard/default/standard/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-1280x800.png ../../../../../backgrounds/goddard/default/wide/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-800x480.png ../../../../../backgrounds/goddard/default/wide/goddard.png
goddard-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/Goddard/goddard-2048x1536.png ../../../../../backgrounds/goddard/default/standard/goddard.png
2 packages and 0 specfiles checked; 0 errors, 28 warnings.

Comment 2 Rex Dieter 2010-02-20 10:17:14 UTC
Functionality OK

Licensing OK

macros  OK, consistent

%files  OK (simple)

Source tarball doesn't match upstrea
in src.rpm:
$ md5sum *.bz2
9e88306f9216a59eb603edcd90dceb20  goddard-kde-theme-12.91.0.tar.bz2

downloaded from fedorahosted:
$ md5sum *.bz2
126e870673e448b4481cec8cefd62ad8  goddard-kde-theme-12.91.0.tar.bz2

Looks like the only difference in contant are the embedded .spec file, mostly harmless. :)


Looks good, APPROVED.

Comment 3 Jaroslav Reznik 2010-02-20 10:42:32 UTC
Thanks Rex.

I'll add correct provides and update correct tarball (it's going to change).

Comment 4 Jaroslav Reznik 2010-02-20 10:45:02 UTC
New Package CVS Request
=======================
Package Name: goddard-kde-theme
Short Description: Goddard KDE Theme
Owners: jreznik than rdieter kkofler ltinkl
Branches: F-13
InitialCC:

Comment 5 Jason Tibbitts 2010-02-20 18:03:12 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Rex Dieter 2010-02-25 16:20:49 UTC
imported.


Note You need to log in before you can comment on or make changes to this bug.